# -*- coding: utf-8 -*-
"""
Fonction d'aide à la manipulation d'image
"""
import numpy as np
import matplotlib.pyplot as plt


def lit_image(chemin):
    image = plt.imread(chemin)
    _, _, col_nb = image.shape
    # pour un png, on peut avoir une 4ème "couleur", le canal alpha qui représente
    # la transparence. Dans ce cas on l'élimine.
    if col_nb > 3:
        image = image[:, :, 0:3]
    if image.dtype == np.float32:
        image = np.array(255*image, dtype=np.uint8)
    return image


def affiche_image(img):
    plt.imshow(img, interpolation='nearest')
    plt.axis('off')
    plt.show()


def rotation(img):
    """
    Retourne une copie de l'image passée en argument, tournée de 180°
    """
    img2 = img.copy() # on travaille sur la copie

    return img2


def photomaton(img):
    """
    A vous de jouer !
    """
    img2 = img.copy()

    return img2

def distance(img, x, y):
    """
    Retourne la distance entre le pixel de position (i, j) et ses 4 voisins.
    On suppose que le pixel n'est pas sur le bord'
    """

    return


def tableau_distances(img):
    H = len(img)
    L = len(img[0])
    D = np.zeros((H-2, L-2))  # un tableau rempli de 0 de taille (H-2)x(L-2)
    # remplir ici
    return D

def contours(img):
    img2 = img[1:-1,1:-1].copy() # copie sans les bords, pour obtenir une image de bonne taille
    D = tableau_distances(img)
    l_max = np.max(D)
    #remplir ici
    return img2